Bug 11431 - сервис mdadm --monitor --scan запускается, даже если в системе нет software raid
: сервис mdadm --monitor --scan запускается, даже если в системе нет software raid
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mdadm)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-09 19:30 by
Modified: 2007-05-15 00:49 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-09 19:30:19
Сервис не проверяет, есть ли в системе software raid. Если его нет, то,
очевидно, запускать service mdadm смысла нет.
------- Comment #1 From 2007-04-09 20:28:35 -------
Если пакет mdadm установлен -- то попытка поднять массивы
сперва будет предпринята с его помощью, насколько понимаю.

Следовательно, можно ориентироваться на наличие в /proc/mdstat
"^md[0-9 ]+: ", а заодно проверить наличие этого самого mdstat
аналогично /etc/rc.d/scripts/raidstart
------- Comment #2 From 2007-04-15 19:17:47 -------
Во-первых, mdadm запускается сервисом не с ключом --examine, а с ключом
--monitor.

Во-вторых, от его запуска не будет вреда, даже если ему нечего делать.

Более того, если бы авторы mdadm считали, что mdadm при отсутствии записей в
/proc/mdstat не нужен, они бы добавили аварийное завершение, но они этого
делать
не стали(?) (это в-третьих).

Наоборот, mdadm может понадобиться, когда/если RAID будет собран уже после его
запуска (это в-четвёртых).

В-пятых, если нет /proc/mdstat, то зачем вообще устанавливать пакет mdadm и
включать сервис mdadm?

На основе всего вышесказанного предлагаю считать данную багу фичей. :)
------- Comment #3 From 2007-04-15 20:06:43 -------
1. Summary поправлен.
2. Будучи запущенным, mdadm потребляет ресурсы.  Раньше у него были проблемы с
утечкой памяти.
3. Что считают авторы, можно узнать, спросив их об этом.
4. В этом случае mdadm можно запустить вручную.
5. Удобно устанавливать mdadm на случай, если возникнет необходимость работать с
md*.  Например, в инсталяторе удобно установить mdadm.
6. В таком случае в инсталяторе придётся cделать "chkconfig mdadm off".
------- Comment #4 From 2007-04-15 21:08:52 -------
В Инкоминг отправлена сборка 2.6.1-alt3 с исправлением сервисного сценария:
1) добавлена функция need_start, проверяющая необходимость запуска
при вызове с ключом "start",
2) добавлен ключ "forcestart".

В качестве защиты от утечек, если она представляется актуальной,
готов в следующую сборку включить /etc/cron.daily/mdadm
с командой "service mdadm restart".
------- Comment #5 From 2007-04-21 04:56:38 -------
Fixed in mdadm-2.6.1-alt3.1